/************************************************************************
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*		"EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.		*
*																		*
*  Copyright (C) 1997, 1999 Lugaru Software Ltd.  All rights reserved.	*
*																		*
* Limited permission is hereby granted to reproduce and modify this		*
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in	*
* any such reproduction or modification.								*
************************************************************************/

// Sources for identifiers to complete on:
#define IDENT_COMP_TAGS		1	/* from the list of tags */
#define IDENT_COMP_LOCALS	2	/* from the identifiers in current buffer */
#define IDENT_COMP_STD		4	/* from epsilon.xpn */
#define IDENT_COMP_FILE		8	/* from a user's file (below) */

#define IDENT_PATTERN	"[a-zA-Z0-9_\xC0-\xD6\xD8-\xF6\xF8-\xFF]+"
// Matches an identifier.

user char completion_sources = (IDENT_COMP_TAGS | IDENT_COMP_LOCALS
								| IDENT_COMP_STD | IDENT_COMP_FILE);
user short completion_minimum_start = 3;	// Auto-add to words this long.
user short completion_minimum_add = 2;	// Auto-add at least this many.
user char auto_complete = 0;
color_class ident_completion;
zeroed char _doing_ident_completion;	// Inside a complete-identifier cmd?
command complete_identifier();

#define IDENT_COMPL_STD_KWDS		"epsilon.xpn"
#define IDENT_COMPL_KWDS			"custom.xpn"
#define IDENT_COMPL_STD_KWDS_BUF	"-completion-standard-keywords"
#define IDENT_COMPL_KWDS_BUF		"-completion-keywords"
#define UNDO_FLAG_IDENT_COMPL	3	/* bracket each word completed with these */
#define UNDO_FLAG_POST_COMPL	4		/* undo_flag values */
